Request

Response

    Create File Upload (Beta)
    POST

    vaults/{vaultId}/file-uploads

    This operation is currently in beta testing and can change before general availability (GA). Avoid using it in production applications.

    Creates a temporary upload session for file content. The response provides a stable uploadId and an opaque, vault- and user-bound uploadSessionToken.

    Resource Information

    Method and URI
    POST
    /AutodeskDM/Services/api/vault/v2/vaults/{vaultId}/file-uploads
    Authentication Context
    User context required
    Required OAuth Scopes
    No scopes required
    Data Format
    JSON

    Request

    Headers

    Authorization*
    string
    Must be Bearer <token>, where <token> is a three-legged access token obtained via an Authorization Code flow or a Secure Service Account (SSA) flow.

    The SSA flow is designed for headless server-to-server operations. While it functions like a two-legged flow (no user interaction), it is classified as three-legged because it preserves user context.

    Content-Type*
    string
    Must be application/json
    * Required

    Request

    URI Parameters

    vaultId
    string
    The unique identifier of a Knowledge Vault.

    Request

    Body Structure

    fileName*
    string
    The file name used to determine the uploaded content extension.
    * Required

    Response

    HTTP Status Code Summary

    201
    Created
    The upload session was successfully created.
    400
    Bad Request
    The server was unable to process the request. The syntax of the request is malformed or the request is missing a required header. Do not repeat the request without fixing the issue. The response body may indicate what is wrong with the request.
    401
    Unauthorized
    The supplied authorization header was not valid or the supplied token scope was not acceptable. Verify authentication and try again.
    403
    Forbidden
    The request was successfully validated but lacking the required permissions. Verify your credentials and permissions before you send this request again.

    Response

    Body Structure (201)

    uploadId
    string: UUID
    Stable identifier of the upload session.
    uploadSessionToken
    string
    Opaque continuation token. Send this value in the X-Vault-Upload-Session header for the next part upload or completion request.
    state
    enum:string
    Possible values: open, uploading
    maxPartSize
    int
    Maximum accepted size of one content part in bytes.
    totalBytes
    int
    Total content bytes successfully appended to this upload session.

    Example

    This example illustrates how to create a temporary file upload session.

    Note: {VaultServerAddress} is used as a placeholder in the example(s) and could represent one of the following:

    • Vault Server IP address or hostname. Ex: http://10.41.110.49.
    • Vault Gateway URL if gateway is configured. Ex: https://test.vg.autodesk.com.

    Request

    curl -v '{VaultServerAddress}/AutodeskDM/Services/api/vault/v2/vaults/9/file-uploads' \
      -X 'POST' \
      -H 'Content-Type: application/json'\
      -H 'Authorization: Bearer AuIPTf4KYLTYGVnOHQ0cuolwCW2a...'\
      -d '{
        "fileName": "Bracket.ipt"
      }'
    

    On success, Vault returns 201 Created.

    Response

    {
      "uploadId": "2e3a6deb-7480-4c2c-a5cf-17a48522590d",
      "uploadSessionToken": "y75f-k~TOvDdLtkKm6wn5KvqG8X-u4qOjuFkWD2zbH6nL0V5VYIXkkmMUhu2U1nffsAvJZYrtNBlgamJExBlzO1dcjLZzu9kCHyNbCPauITUL4PyHpnA6VzqGS4BscHuvWICTIdLb2Hn8sWedDqOcRoBTRBOjrAjCFGGp7gj5lqKQqjMmDfNX2T5I4rJPA6Koxmsyf61sc84w-f92Vl8HagF03D40pyg9WNl4b1~UMF5DdSQp8TJlwdCwhULGpE79s0pjX2Xf9IaUevjq-l6audl8~AZEUg8cSMTu9waML~P5s3UdmOHmTQ2K6p3dgM8AlTc5oj8jtDbK1yfMpq63iT0a7xEc4~~WCF8jL9nGVFfM9vxgjevgaj7Gr2YR~k3",
      "state": "open",
      "maxPartSize": 52418560,
      "totalBytes": 0
    }